Export investments

Asynchronously export a large volume of Investment records.
This endpoint initiates a background job to process your request, preventing timeouts.
Once complete, the job will provide a secure URL to download the full set of Investment data as a CSV file.

This process is asynchronous; you can find a complete guide to the workflow in our Asynchronous Bulk Export API documentation.

The commitments and balances columns hold each investment's amounts as a JSON array of {"amount": <number>, "currency": "<ISO 4217 code>"} objects, like the commitments and balances fields of an Investment: the fund legal entity's default currency first, then by currency code. The amount is an exact number in plain notation, and an investment without amounts has []. The deprecated commitmentAmount and balanceAmount columns hold only the amount in the fund legal entity's default currency.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The ID of the Firm object

Body Params
string

A pointer to the next set of results, obtained from the next_cursor field of a previous export job. Omit for the first request.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json